aim4.sim.setup

## Enum AutoDriverOnlySimSetup.TrafficType

- java.lang.Object
- - java.lang.Enum<AutoDriverOnlySimSetup.TrafficType>
  - - aim4.sim.setup.AutoDriverOnlySimSetup.TrafficType

- All Implemented Interfaces:
    Serializable, Comparable<AutoDriverOnlySimSetup.TrafficType>
  Enclosing class:
    AutoDriverOnlySimSetup

      public static enum AutoDriverOnlySimSetup.TrafficType
      extends Enum<AutoDriverOnlySimSetup.TrafficType>

  The traffic type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE`
    `HVDIRECTIONAL_RANDOM`
    `UNIFORM_RANDOM`
    `UNIFORM_TURNBASED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutoDriverOnlySimSetup.TrafficType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AutoDriverOnlySimSetup.TrafficType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNIFORM_RANDOM

          public static final AutoDriverOnlySimSetup.TrafficType UNIFORM_RANDOM

    - #### UNIFORM_TURNBASED

          public static final AutoDriverOnlySimSetup.TrafficType UNIFORM_TURNBASED

    - #### HVDIRECTIONAL_RANDOM

          public static final AutoDriverOnlySimSetup.TrafficType HVDIRECTIONAL_RANDOM

    - #### FILE

          public static final AutoDriverOnlySimSetup.TrafficType FILE

  - ### Method Detail

    - #### values

          public static AutoDriverOnlySimSetup.TrafficType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoDriverOnlySimSetup.TrafficType c : AutoDriverOnlySimSetup.TrafficType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoDriverOnlySimSetup.TrafficType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.